"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateTagResponseDto = exports.createTagResponseSchema = exports.CreateTagDto = exports.createTagSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_dto_1 = require("./tag.dto");
exports.createTagSchema = tag_dto_1.tagSchema.pick({
    name: true,
    groupId: true,
});
class CreateTagDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.createTagSchema) {
}
exports.CreateTagDto = CreateTagDto;
exports.createTagResponseSchema = tag_dto_1.tagSchema.omit({
    created_at: true,
    updated_at: true,
});
class CreateTagResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.createTagResponseSchema) {
}
exports.CreateTagResponseDto = CreateTagResponseDto;
//# sourceMappingURL=create-tag.dto.js.map